$INCLUDE "RAPIDQ.INC"

DIM File AS QFileStream
DECLARE SUB Exit_Click
DECLARE SUB Add_Click

IF FileExists("AddBook.dat") = False THEN
  File.Open("AddBook.dat", fmCreate)
  File.Write "Listings"
  File.Close
END IF  

CREATE Form AS QFORM
    Caption = "Address Book"
    BorderStyle = bsDialog
    Width = 400
    Height = 500
    Center
    CREATE Label1 AS QLABEL
        Caption = "Name:"
        Left = 12
        Top = 81
        Width = 50
        Height = 16
    END CREATE
    CREATE Label2 AS QLABEL
        Caption = "Address:"
        Left = 12
        Top = 116
        Width = 75
        Height = 16
        Transparent = 1
    END CREATE
    CREATE Label3 AS QLABEL
        Caption = "City:"
        Left = 12
        Top = 147
        Width = 75
        Height = 16
        Transparent = 1
    END CREATE
    CREATE Label4 AS QLABEL
        Caption = "State/Province:"
        Left = 12
        Top = 175
        Width = 100
        Height = 16
    END CREATE
    CREATE Label5 AS QLabel
        Caption = "Country:"
        Left = 12
        Top = 211
        Width = 100
        Height = 16
    END CREATE
    CREATE Label6 AS QLABEL
        Caption = "Zip/Postal:"
        Left = 12
        Top = 246
        Width = 75
        Height = 16
        Transparent = 1
    END CREATE
    CREATE Label7 AS QLABEL
        Caption = "Phone#:"
        Left = 12
        Top = 279
        Width = 75
        Height = 16
        Transparent = 1
    END CREATE
    CREATE Label8 AS QLABEL
        Caption = "Email:"
        Left = 12
        Top = 308
        Width = 75
        Height = 16
        Transparent = 1
    END CREATE
    CREATE Edit1 AS QEDIT 'Name
        Text = ""
        Left = 112
        Top = 76
        Width = 200
        Height = 24
    END CREATE
    CREATE Edit2 AS QEDIT 'Address
        Text = ""
        Left = 112
        Top = 108
        Width = 200
        Height = 24
        TabOrder = 1
    END CREATE
    CREATE Edit3 AS QEDIT 'City
        Text = ""
        Left = 112
        Top = 140
        Width = 200
        Height = 24
        TabOrder = 2
    END CREATE
CREATE ComboBox1 AS QCOMBOBOX 'State
        Left = 112
        Top = 170
        Width = 200
        Height = 24
        ItemHeight = 16
        TabOrder = 10
        AddItems "None","AlBerta","Atlantic Provences","British Columbia","Manitoba","Ontario",_
        "Quebec","Saskatchewan","Alabama","Alaska","Arkansas","Arizona","California","Colorado",_
        "Delaware","Florida","Georgia","Hawaii","Idaho","Illinois","Indiana","Iowa","Kansas",_
        "Kentucky","Louisiana","Maine","Maryland","Massachusetts","Michigan","Minnesota",_
        "Missouri","Montana","Nebraska","Nevada","New Hampshire","New Jersey","New Mexico",_
        "New York","North Carolina","North Dakota","Ohio","Oklahoma","Oregon","Pennsylvania",_
        "Rhode Island","South Carolina","South Dakota","Tennesee","Texas","Utah","Vermont",_
        "Virginia","Washington","West Virginia","Wisconsin","Wyoming"
    END CREATE
    CREATE ComboBox2 AS QComboBox 'Country
        Text = ""
        Left = 112
        Top = 204
        Width = 200
        Height = 24
        ItemHeight = 16
        AddItems "United States","Afghanistan","Albania","Algeria","Andorra","Angola","Antigua and Barbuda",_
"Argentina","Armenia","Australia","Austria","Azerbaijan","Bahamas","Bahrain",_
"Bangladesh","Barbados","Belarus","Belgium","Belize","Benin","Bhutan","Bolivia",_
"Bosnia and Herzegovina","Botswana","Brazil","Brunei","Bulgaria","Burkina Faso",_
"Burundi","Cambodia","Cameroon","Canada","Cape Verde","Central African Republic",_
"Chad","Chile","China","Colombia","Comoros","Congo (Brazzaville)",_
"Congo","Democratic Republic of the","Costa Rica","Croatia","Cuba","Cyprus",_
"Czech Republic","Cte d'Ivoire","Denmark","Djibouti","Dominica","Dominican Republic",_
"Ecuador","Egypt","El Salvador","Equatorial Guinea","Eritrea","Estonia","Ethiopia",_ 
"Fiji","Finland","France","Gabon","Gambia","Georgia","Germany","Ghana","Greece",_
"Grenada","Guatemala","Guinea","Guinea-Bissau","Guyana","Haiti","Honduras","Hungary",_
"Iceland","India","Indonesia","Iran","Iraq","Ireland","Israel","Italy","Jamaica",_
"Japan","Jordan","Kazakhstan","Kenya","Kiribati","Korea, North","Korea, South",_
"Kuwait","Kyrgyzstan","Laos","Latvia","Lebanon","Lesotho","Liberia","Libya",_ 
"Liechtenstein","Lithuania","Luxembourg","Macedonia, Former Yugoslav Republic of",_
"Madagascar","Malawi","Malaysia","Maldives","Mali","Malta","Marshall Islands",_
"Mauritania","Mauritius","Mexico","Micronesia, Federated States of","Moldova","Monaco"_
"Mongolia","Morocco","Mozambique","Myanmar","Namibia","Nauru","Nepal","Netherlands",_
"New Zealand","Nicaragua","Niger","Nigeria","Norway","Oman","Pakistan","Palau","Panama",_
"Papua New Guinea","Paraguay","Peru","Philippines","Poland","Portugal","Qatar","Romania",_
"Russia","Rwanda","Saint Kitts and Nevis","Saint Lucia","Saint Vincent and The Grenadines",_
"Samoa","San Marino","Sao Tome and Principe","Saudi Arabia","Senegal","Seychelles",_
"Sierra Leone","Singapore","Slovakia","Slovenia","Solomon Islands","Somalia","South Africa",_ 
"Spain","Sri Lanka","Sudan","Suriname","Swaziland","Sweden","Switzerland","Syria","Taiwan",_ 
"Tajikistan","Tanzania","Thailand","Togo","Tonga","Trinidad and Tobago","Tunisia","Turkey",_ 
"Turkmenistan","Tuvalu","Uganda","Ukraine","United Arab Emirates","United Kingdom","Uruguay",_
"Uzbekistan","Vanuatu","Vatican City","Venezuela","Vietnam","Western Sahara","Yemen",_
"Yugoslavia (Serbia and Montenegro)","Zambia","Zimbabwe"
    END CREATE
    CREATE Edit4 AS QEDIT 'Zipcode
        Text = ""
        Left = 112
        Top = 238
        Width = 200
        Height = 24
        TabOrder = 6
    END CREATE
    CREATE Edit5 AS QEDIT 'Phone#
        Text = ""
        Left = 112
        Top = 270
        Width = 200
        Height = 24
        TabOrder = 7
    END CREATE
    CREATE Edit6 AS QEDIT 'Email
        Text = ""
        Left = 112
        Top = 302
        Width = 200
        Height = 24
        TabOrder = 8
    END CREATE
    CREATE RichEdit1 AS QRICHEDIT
        Left = 112
        Top = 340
        Height = 125
        Width = 200
        TabOrder = 9
        PlainText = True
        ScrollBars = ssVertical
        LoadFromFile "AddBook.dat"
        Modified = False
    END CREATE
    CREATE Button1 AS QBUTTON
        Caption = "Add"
        Left = 115
        Top = 42
        TabOrder = 11
        OnClick = Add_Click
    END CREATE
    CREATE Button2 AS QBUTTON
        Caption = "Exit"
        Left = 237
        Top = 42
        TabOrder = 12
        OnClick = Exit_Click
    END CREATE
END CREATE

'Insert your initialization code here

Form.ShowModal

SUB Exit_Click
  IF RichEdit1.Modified = True THEN
    IF MESSAGEDLG("Save Changes?", mtWarning, mbYes OR mbNo,0) = mbYes THEN
        RichEdit1.SaveToFile "AddBook.dat"
        RichEdit1.Modified = False
        Form.Close
          ELSE
            Form.Close
    END IF
  END IF
  Form.Close  
END SUB  

SUB Add_Click
  RichEdit1.AddStrings = CHR$(32) + Edit1.Text,Edit2.Text,Edit3.Text,ComboBox1.Text,_
  ComboBox2.Text,Edit4.Text,Edit5.Text,Edit6.Text, + CHR$(32)
  RichEdit1.SaveToFile "AddBook.dat"
  RichEdit1.Modified = False
END SUB  